Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.quant.indicators.predictive
Class BestClose

    java.lang.Object
      org.encog.app.analyst.csv.basic.BaseCachedColumn
          org.encog.app.quant.indicators.Indicator
              org.encog.app.quant.indicators.predictive.BestClose

    public class BestClose

extends Indicator

Get the best close.

Field Summary
`static String` | `NAME` The name of this indicator.

Constructor Summary
`BestClose(int thePeriods, boolean output)` Construct the object.

Method Summary
`void` | `calculate(Map<String,BaseCachedColumn> data, int length)` Calculate the indicator.
`int` | `getPeriods()`

Methods inherited from class org.encog.app.quant.indicators.Indicator
`getBeginningIndex, getEndingIndex, require, setBeginningIndex, setEndingIndex`

Methods inherited from class org.encog.app.analyst.csv.basic.BaseCachedColumn
`allocate, getData, getName, isIgnore, isInput, isOutput, setIgnore, setInput, setName, setOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

  The name of this indicator.

  See Also:
    Constant Field Values

Constructor Detail

### BestClose

    public BestClose(int thePeriods,
                     boolean output)

  Construct the object.

  Parameters:
    `thePeriods` - The number of periods.
    `output` - True, if this indicator is to be predicted.

Method Detail

### calculate

    public final void calculate(Map<String,BaseCachedColumn> data,
                                int length)

  Calculate the indicator.

  Specified by:
    `calculate` in class `Indicator`
  Parameters:
    `data` - The data available to the indicator.
    `length` - The length available to the indicator.

### getPeriods

    public final int getPeriods()

  Specified by:
    `getPeriods` in class `Indicator`
  Returns:
    The number of periods.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.